# Generated by Django 2.2.7 on 2019-12-02 14:05

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('collection', '0019_advertorial_guidefilter'),
    ]

    operations = [
        migrations.CreateModel(
            name='GuideElementSectionCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('name', models.CharField(max_length=255, verbose_name='category name')),
            ],
            options={
                'verbose_name': 'guide element section category',
                'verbose_name_plural': 'guide element section categories',
            },
        ),
        migrations.CreateModel(
            name='GuideWineColorSection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('name', models.CharField(max_length=255, verbose_name='section name')),
            ],
            options={
                'verbose_name': 'guide wine color section',
                'verbose_name_plural': 'guide wine color sections',
            },
        ),
        migrations.CreateModel(
            name='GuideElementSection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False, verbose_name='Date created')),
                ('modified', models.DateTimeField(auto_now=True, verbose_name='Date updated')),
                ('name', models.CharField(max_length=255, verbose_name='section name')),
                ('old_id', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='old id')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='collection.GuideElementSectionCategory', verbose_name='category')),
            ],
            options={
                'verbose_name': 'guide element section',
                'verbose_name_plural': 'guide element sections',
            },
        ),
    ]
